Bug 1721882 - The deleted additinal disk from Foreman is being created in VM in GCE
Summary: The deleted additinal disk from Foreman is being created in VM in GCE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - GCE
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Kavita
QA Contact: Jitendra Yejare
URL:
Whiteboard:
Depends On:
Blocks: 1721890
TreeView+ depends on / blocked
 
Reported: 2019-06-19 08:22 UTC by Jitendra Yejare
Modified: 2019-10-22 19:49 UTC (History)
4 users (show)

Fixed In Version: foreman-1.22.0.17-1
Doc Type: If docs needed, set a value
Doc Text:
During provisioning with GCE there may be extra disks created that were not intended. These may need to be manually deleted after testing is complete.
Clone Of:
Environment:
Last Closed: 2019-10-22 19:49:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26442 None None None 2019-07-08 11:20:59 UTC

Description Jitendra Yejare 2019-06-19 08:22:03 UTC
The deleted additional disk from Foreman UI is getting created for VM provisioned on GCE.

Steps:
---------
1. Create GCE CR.
2. Create an image in Foreman using GCE images.
3. Attempt to provision a VM with the above image, but -
4. While provisioning a VM, first assign an additional disk to the VM and quickly remove it(before provisioning).
5. Complete the VM provisioning from Foreman.

Actual Behavior:
---------------------
The VM is provisioned with the additional disk, even though we have not requested it(requested first but then deleted).

Expected Behavior:
---------------------
The VM is provisioned 'without' the additional disk, as we have not requested for it.

Comment 3 Bryan Kearney 2019-07-18 18:01:28 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26442 has been resolved.

Comment 6 Jitendra Yejare 2019-08-26 13:58:57 UTC
Verified!

@Satellite 6.6 snap 17

Steps:
---------
1. Create GCE CR.
2. Create an image in satellite using GCE images.
3. Attempt to provision a VM with the above image, but
4. While provisioning a VM, first assign an additional disk to the VM and quickly remove it(before provisioning).
5. Complete the VM provisioning from Satellite.

Observation:
---------------------
The VM provisioned without additional disk as we have removed it before provisioning.

Comment 7 Bryan Kearney 2019-10-22 19:49:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.